MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022033Open CASCADE[OCCT] OCCT:Testspublic2010-09-29 12:362017-09-18 17:06
Reporterpkv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionno change required 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] UnscheduledFixed in Version 
Summary0022033: Grid Tests: The sets PKV,CHL,CIN,CTE. Detected problems
DescriptionThe bug is to fix the problems detected in the Grid Tests (set PKV,CHL)
TagsNo tags attached.
Test case numberNot required
Attached Filesgz file icon 22033-cases.tar.gz (8,298 bytes) 2012-04-06 17:09
? file icon ex934H9_1 (6,291 bytes) 2012-11-30 11:05
? file icon ex934H9_2 (6,291 bytes) 2012-11-30 11:05
? file icon ex934H9_3 (6,292 bytes) 2012-11-30 11:06

- Relationships
parent of 0023073assigned The case chl/922/L3 is not valid 
parent of 0023074closed The cases chl/922/R9, chl/929/D1,D2,D5,D6,D8 are not valid 
parent of 0023075closed The case pkv/909/G2 is not valid 
parent of 0023079closed The case cin/001/E5 is not valid 
parent of 0023080closed The case cda/002/C2 is not valid 
parent of 0023082assigned The cases chl 929 T2 T3 T4 T5 T6 are not valid 
parent of 0023083closed The cases chl 902 Q1 Q2 Q3 are not valid 
parent of 0023084assigned The case pkv/900/L7 is not valid 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0018099)
pkv (developer)
2011-09-09 11:13

11. chl/902/F3
 Script:
  see /dn45/occttests/tests/ED/chl/902/F3 for more details

 Problem:
  The shape
     buc60712a.brep is self-interferred.
  thus it can not be used as the argument for Boolean Operation Algorithm.

 Proposals:
  The Case chl/902/F3 should be removed.
(0018886)
emv (developer)
2011-12-16 15:51
edited on: 2012-02-28 10:35

12. chl/919/x3
Script :
  restore /dn45/occttests/tests/ED/chl/data/OCC491a.brep b1
  restore /dn45/occttests/tests/ED/chl/data/OCC491b.brep b2
  explode b1 f; copy b1_6 f1
  explode b2 f; copy b2_1 f2
  tolerance f1
  tolerance f2
  mksurface s1 f1
  mksurface s2 f2
  dump s1
  dump s2
  bop f1 f2
  bopsection r

Problem:
 The type of surfaces s1 and s2 is GeomAbs_Plane. The Faces f1 and f2 have
 an intersection curve and cannot be the same domain. At the same time edges
 of one face lie on the other face. In case of two faces with planar surfaces
 it means that faces are same domain.
 This is due to the big tolerance value of the faces and their geometrical
 location relative to each other.

Proposal:
 The Case chl/919/x3 should be removed.

13. pkv/900/N1
Script :
  restore /dn45/occttests/tests/ED/pkv/data/900/pro11292a.rle b1
  restore /dn45/occttests/tests/ED/pkv/data/900/pro11292i.rle b2
  explo b1 f;copy b1_7 f1
  explo b2 f;copy b2_3 f2
  tolerance f1
  tolerance f2
  mksurface s1 f1
  mksurface s2 f2
  dump s1
  dump s2
  bop f1 f2
  bopsection r

Problem:
  The same as in chl/919/x3.

Proposal:
 The Case pkv/900/N1 should be removed.

14. pkv/909/F3
Script:
  restore /dn45/occttests/tests/ED/pkv/data/909/osa-fuse1.rle b1
  restore /dn45/occttests/tests/ED/pkv/data/909/osa-fuse2.rle b2
  explode b1 f;copy b1_7 f1
  explode b2 f;copy b2_3 f2
  tolerance f1
  tolerance f2
  mksurface s1 f1
  mksurface s2 f2
  dump s1
  dump s2
  bop f1 f2
  bopsection r

Problem:
  The same as in chl/919/x3.

Proposal:
 The Case pkv/909/F3 should be removed.

(0019810)
emv (developer)
2012-02-29 11:58
edited on: 2012-03-01 14:51

15. chl/902/A4
  Script:
   see /dn45/occttests/tests/ED/chl/902/A4 for more details

  Problem:
   The case is not correct. Operation CUT cannot be done between faces that have no common part.

  Proposals:
   The Case chl/902/A4 should be removed.

(0019811)
emv (developer)
2012-02-29 12:05

16. chl/913/E3
  Script:
   source /dn45/occttests/tests/ED/chl/913/E3
   explode res v
   distmini d res_15 res_16
   tolerance res_15
   tolerance res_16

  Problem:
   The result obtained in current version of OCCT is not correct. The result is self-interfered shape.

  Proposals:
   The Case chl/913/E3 should be or removed or analyzed/fixed.
(0019812)
emv (developer)
2012-02-29 12:12

17. chl/922/I5,I6,I7
  Script:
   restore /dn45/occttests/tests/ED/chl/data/OCC651a.brep b
   explode b e
   explode b_12 v
   distmini d b_12_1 b_12_2
   tolerance b_12_1
   tolerance b_12_2
  
  Problem:
   The Shape OCC651a.brep is self-interfered.

  Proposals:
   The Cases chl/922/I5,I6,I7 should be removed.
(0019814)
emv (developer)
2012-02-29 12:20

18. chl/922/I8
  Script:
   restore /dn45/occttests/tests/ED/chl/data/OCC652.brep a
   explode a
   explode a_1 e
   explode a_1_251 v
   distmini d a_1_251_1 a_1_251_2
   tolerance a_1_251_1
   tolerance a_1_251_2

  Problem:
   Shape OCC652.brep is self-interfered.

  Proposals:
   The Case chl/922/I8 should be removed.
(0019815)
emv (developer)
2012-02-29 13:33

19. chl/922/L3
  Script:
   restore /dn45/occttests/tests/ED/chl/data/OCC774.brep a
   explode a
   bop a_1 a_2
   bopcut r
   checkshape r
   boptuc r
   checkshape r
   bopfuse r
   checkshape r
   bopcommon r
   checkshape r

  Problem:
   The results of operations CUT21, FUSE, COMMON obtained in current version of OCCT are not valid shapes. Thus the case chl/922/L3 is not valid.
 
  Proposals:
   The Case chl/922/L3 should be or removed or analyzed/fixed.
(0019817)
emv (developer)
2012-02-29 15:20

20. chl/922/R9,
    chl/929/D1,D2,D5,D6,D8
  Script:
   restore /dn45/occttests/tests/ED/chl/data/OCC697_2.brep b1
   restore /dn45/occttests/tests/ED/chl/data/OCC697_3.brep b2
   bop b1 b2
   bopfuse r
   checkshape r
   bopcut r
   checkshape r
   boptuc r
   checkshape r
   bopcommon r
   checkshape r

  Problem:
   The results of operations CUT and COMMON obtained in current version of OCCT are not valid shapes. Thus the cases chl/922/R9, chl/929/D1,D2,D5,D6,D8 are not valid.

  Proposals:
   The cases chl/922/R9, chl/929/D1,D2,D5,D6,D8 should be or removed or analyzed/fixed.
(0019818)
emv (developer)
2012-02-29 15:31

21. chl/929/W7
  Script:
   see /dn45/occttests/tests/ED/chl/929/W7 for more details

  Problem:
   The case is based on explode operation. The order of vertices in result shape can be different for different versions of the boolean operations algorithm.

  Proposals:
   The Case chl/929/W7 should be rewritten.
(0019826)
emv (developer)
2012-03-01 08:43
edited on: 2012-03-05 10:28

22. chl/927/N1,N2,N3,N4,N5,N6,N7,N8
  Script:
   restore /dn45/occttests/tests/ED/chl/data/OCC6841_1.brep s1
   restore /dn45/occttests/tests/ED/chl/data/OCC6841_2.brep s2
   bop s1 s2
   
   boptuc r
   fsameparameter r
   checkshape r

   bopcommon r
   fsameparameter r
   checkshape r

   bopcut r
   fsameparameter r
   checkshape r

   bopfuse r
   fsameparameter r
   checkshape r

  Problem:
   1.The results of operations CUT and FUSE obtained in current version of OCCT are not valid shapes. Thus the cases chl/927/N4,N5,N7,N8 are not valid.
   2. The OCC6841_1.brep has vertex with prohibitive amount of the tolerance=3.14039e+000

  Proposals:
   The Cases chl/927/N1,N2,N3,N4,N5,N6,N7,N8 should be removed.

(0019827)
emv (developer)
2012-03-01 10:35

23. cin/202/A1,A2
  Script:
   restore /dn45/occttests/tests/ED/cin/data/202/lh3d_px1.brep b
   explode b f
   bop b_3 b_220
   bopcom r
   nbs r
   #faces b_3 and b_220 intersect and have a common part.

  Problem:
   The shape lh3d_px1.brep is self-interfered.

  Proposals:
   The Cases cin/202/A1,A2 should be removed.
(0019828)
emv (developer)
2012-03-01 10:38

24. cte/004/A6
  Script:
   restore /dn45/occttests/tests/ED/cte/data/case_8_solid.brep b
   explode b v
   distmini d b_1 b_3

  Problem:
   The shape case_8_solid.brep is self-interfered.

  Proposals:
   The Case cte/004/A6 should be removed.
(0019841)
emv (developer)
2012-03-02 09:17

25. pkv/909/G2
  Script:
   source /dn45/occttests/tests/ED/pkv/909/G2
   explode result e
   copy result_42 e
   explode e v
   vertex v 0.99715 e
   distmini d v e_2
   don d; fit; display v e e_2
   tolerance e
   #edge e (result_42) is self-interfered shape.

  Problem:
   The result shape obtained in current version of OCCT is self-interfered.

  Proposals:
   The Cases pkv/909/G2 should be or removed or analyzed/fixed.
(0019860)
pkv (developer)
2012-03-05 10:27

26. chl/929/A1,A2,A3,A4,A5,A6,A7,A8,B1,B2,B3,B4,B5,B6

    Script:
The scripts of the cases use the same shapes [OCC1489-1.brep, OCC1489-2.brep] to perform different kind of boolean operations.

    Problem:
  The cases are limitations of the current boolean operations algorithm.

    Proposals:
   The Cases chl/927/A1,A2,A3,A4,A5,A6,A7,A8,B1,B2,B3,B4,B5,B6 should be removed.
(0019980)
emv (developer)
2012-03-15 10:10

27. chl/919/V9, W1
  Script:
   restore /dn45/occttests/tests/ED/chl/data/OCC471a.brep b
   xmaxtol b
   tolerance b_1_max
   explode b_1_max v
   distmini d b_1_max_1 b_1_max_2
  
  Problem:
   The shape OCC471a.brep is self-interfered.

  Proposals:
   The Cases chl/919/V9, W1 should be removed.
(0019981)
emv (developer)
2012-03-15 10:21
edited on: 2012-03-15 10:21

28. cin/001/E5
   Script:
    source /dn45/occttests/tests/ED/cin/001/E5
    explode result e
    copy result_5 e
    tolerance e
    explode e v
    distmini d e_1 e_2

   Problem:
    The result shape obtained in current version of OCCT is self-interfered.

   Proposals:
    The Case cin/001/E5 should be or removed or analyzed/fixed.

(0019984)
emv (developer)
2012-03-15 10:46

29. cte/001/T1
  Script:
   see /dn45/occttests/tests/ED/cte/001/T1 for more details

  Problem:
   The case is based on explode operation. The order of vertices in result shape can be different for different versions of the boolean operations algorithm.

  Proposals:
   The Case cte/001/T1 should be rewritten.
(0019988)
emv (developer)
2012-03-15 11:23

30. cda/002/C2
  Script:
   source /dn45/occttests/tests/ED/cda/002/C2
   nexplode result f
   pcurve result_4

  Problem:
   The result shape obtained in current version of OCCT on UNIX platform is not correct.

  Proposals:
   The Case cda/002/C2 should be or removed or analyzed/fixed.
(0020013)
pkv (developer)
2012-03-16 12:21
edited on: 2012-03-16 12:23

30. chl 929 T2 T3 T4 T5 T6

Problem:
 The scripts of the cases use the same shapes [OCC3721-1.brep, OCC3721-2.brep]
 to perform different kind of boolean operations.
 For current master version of OCCT:
- the result of operation Common is valid,
meanwhile
- the result of operation Fuse is not valid
 
Thus the results of each case above can not be considered as valid.

Proposals:
 The cases chl 929/ T2 T3 T4 T5 T6 should be or removed or analyzed/fixed.

  
31. chl 902 Q1 Q2 Q3

Problem:
 The scripts of the cases use the same shapes [buc60409a.brep, buc60409b.brep]
 to perform different kind of boolean operations.
 For current master version of OCCT:
- the result of operation Fuse (case chl 902 Q1) is not valid on WNT
 
Thus the results of each case above can not be considered as valid.

Proposals:
 The cases chl 902/ Q1 Q2 should be or removed or analyzed/fixed.


32. chl 906 B2

Problem:
 The script of the case performs boolean operation Cut between "blade" and "h" .
 For current master version of OCCT:
- the result of operation Cut is not valid on WNT

- the shape "h" is not valid shape itself:

Draw[35]> checkshape h
Shape faulty_1 on shape faulty_2 :
BRepCheck_NotClosed
Faulty shapes in variables faulty_1 to faulty_2

The usage of shapes like "h" as arguments of boolean operation algorithm is not legal
because the state of any object with respect to "h" is not defined.

Proposals:
 The cases chl 906 / B2 should be removed.

(0020187)
emv (developer)
2012-03-28 15:57

33. pkv/900/L7
   Script:
    restore /dn45/occttests/tests/ED/pkv/data/900/pro14260c.rle b1
    restore /dn45/occttests/tests/ED/pkv/data/900/pro14260d.rle b2
    bop b1 b2
    
    bopfuse r
    checkshape r

    bopcommon r
    checkshape r

    bopcut r
    checkshape r

    boptuc r
    checkshape r

   Problem:
    The results of operations CUT, CUT21 and FUSE obtained in current version of OCCT are not valid shapes. Thus the case pkv/900/L7 is not valid.

   Proposals:
    The Case pkv/900/L7 should be removed or analyzed/fixed.
(0020296)
mkv (tester)
2012-04-06 17:08

Dear emv,
could you please review following modification, see 22033-cases.tar.gz attachment:

1. pkv/901/A9
  The case pkv/901/A9 was removed

2. pkv/103/D9
  The case pkv/103/D9 was removed

3. pkv/908/A8
  The case pkv/908/A8 was removed

4. pkv/911/A1,A2,A3,A4
  The cases pkv/911/A1,A2,A3,A4 was rewritten

5. pkv/911/B1,B2,B3,B4,
           C1,C2,C3,C4,
           D1,D2,D3,D4,
           E1,E2,E3,E4,
           F1,F2,F3,F4
  The cases pkv/911/B1,B2,B3,B4,
           C1,C2,C3,C4,
           D1,D2,D3,D4,
           E1,E2,E3,E4,
           F1,F2,F3,F4 was rewritten


6. pkv/909/G1
   The case pkv/909/G1 will use as is, because case pkv/909/G1 with saved f_1 edge have following exeption:
** Exception ** 0xb76c2d0a : Standard_Failure: There are no suitable edges for chamfer or filletAn exception was caught 0xb76c2d0a : Standard_Failure: There are no suitable edges for chamfer or fillet


7. pkv/900/K1
  The case pkv/900/K1 was removed

8. pkv/908/A6
  The case pkv/908/A6 was removed

9. chl/918/H5
  The case chl/918/H5 was removed

11. chl/902/F3
  The case chl/902/F3 was modified (see 22070 bug)

12. chl/919/x3
 The case chl/919/x3 was removed

13. pkv/900/N1
 The case pkv/900/N1 was removed

14. pkv/909/F3
 The case pkv/909/F3 was removed

15. chl/902/A4
   The case chl/902/A4 was removed

16. chl/913/E3
   The case chl/913/E3 was removed

17. chl/922/I5,I6,I7
   The cases chl/922/I5,I6,I7 was removed

18. chl/922/I8
   The case chl/922/I8 was removed

19. chl/922/L3
   New 0023073 issue was created

20. chl/922/R9,
    chl/929/D1,D2,D5,D6,D8
   New 0023074 issue was created

21. chl/929/W7
   It can not rewritten the case cte/001/T1
   The case chl/929/W7 will use as is.

22. chl/927/N1,N2,N3,N4,N5,N6,N7,N8
   The cases chl/927/N1,N2,N3,N4,N5,N6,N7,N8 was removed

23. cin/202/A1,A2
   The cases cin/202/A1,A2 was removed

24. cte/004/A6
   The case cte/004/A6 was removed

25. pkv/909/G2
   New 0023075 issue was created

26. chl/929/A1,A2,A3,A4,A5,A6,A7,A8,B1,B2,B3,B4,B5,B6
   The cases chl/929/A1,A2,A3,A4,A5,A6,A7,A8,B1,B2,B3,B4,B5,B6 was removed

27. chl/919/V9, W1
   The cases chl/919/V9, W1 was removed

28. cin/001/E5
   New 0023079 issue was created

29. cte/001/T1
   It can not rewritten the case cte/001/T1
   The case cte/001/T1 will use as is.

30. cda/002/C2
   New 0023080 issue was created

30. chl 929 T2 T3 T4 T5 T6
   New 0023082 issue was created

31. chl 902 Q1 Q2 Q3
   New 0023083 issue was created

32. chl 906 B2
   The case chl/906/B2 was removed

33. pkv/900/L7
   New 0023084 issue was created
(0020322)
mkv (tester)
2012-04-10 15:23

Dear BugMaster,
Following test cases was removed or rewritten:

Removed test cases:
pkv/901/A9
pkv/103/D9
pkv/908/A8
pkv/900/K1
pkv/908/A6
chl/918/H5
chl/919/x3
pkv/900/N1
pkv/909/F3
chl/902/A4
chl/913/E3
chl/922/I5,I6,I7
chl/922/I8
chl/927/N1,N2,N3,N4,N5,N6,N7,N8
cin/202/A1,A2
cte/004/A6
chl/929/A1,A2,A3,A4,A5,A6,A7,A8,B1,B2,B3,B4,B5,B6
chl/919/V9, W1
chl 906 B2

Rewritten test cases:
pkv/911/A1,A2,A3,A4
pkv/911/B1,B2,B3,B4,
           C1,C2,C3,C4,
           D1,D2,D3,D4,
           E1,E2,E3,E4,
           F1,F2,F3,F4
chl/902/F3
(0020401)
pkv (developer)
2012-04-17 10:25

34. cin/202/A3,A5
  Script:
   restore lh3d_px1.brep a
   ...
   bsection s_* a f_*

  Problem:
   The shape lh3d_px1.brep is self-interfered.

  Proposals:
   The cases cin/202/A3,A5 should be removed.
(0020436)
emv (developer)
2012-04-24 08:24

35. chl 906 A1
  Script:
    restore /dn45/occttests/tests/ED/chl/data/buc60462b.brep b
    explode b f
    tolerance b_1
    tolerance b_2
    ...
    tolerance b_28

   Problem:
    The shape buc60462b.brep is not valid, because the tolerance value of the faces in that shape is more then the tolerance value of their edges.

   Proposals:
    The case chl 906 A1 should be removed.
(0020437)
emv (developer)
2012-04-24 08:26

36. chl 906 B1
  Script:
    restore /dn45/occttests/tests/ED/chl/data/buc60463b.brep b
    explode b f
    tolerance b_1
    tolerance b_2
    ...
    tolerance b_36

   Problem:
    The shape buc60463b.brep is not valid, because the tolerance value of the faces in that shape is more then the tolerance value of their edges.

   Proposals:
    The case chl 906 B1 should be removed.
(0020438)
emv (developer)
2012-04-24 08:29

37. pkv 910 A4 A5
   Script:
    restore /dn45/occttests/tests/ED/pkv/data/910/buc60290a.rle b1
    restore /dn45/occttests/tests/ED/pkv/data/910/buc60290b.rle b2
    bop b1 b2

    bopfuse rfuse
    explode rfuse f
    don rfuse_2

    boptuc rtuc
    explode rtuc f
    don rtuc_1
    don rtuc_3

    bopcom rcom
    explode rcom f
    don rcom_1

   Problem:
    The results of operations FUSE, CUT21, COMMON obtained in current version of OCCT are not valid shapes. The Faces rfuse_2, rtuc_1, rtuc_3, rcom_1 are self-interfered shapes.

   Proposals:
    The cases pkv 910 A4 A5 should be or removed or analyzed/fixed.
(0020439)
emv (developer)
2012-04-24 08:32

38. chl 901 A1
   Script:
    restore /dn45/occttests/tests/ED/chl/data/buc60776a.brep b1
    restore /dn45/occttests/tests/ED/chl/data/buc60776b.brep b2
    bop b1 b2

    bopfuse rfuse
    explode rfuse v
    distmini d rfuse_4 rfuse_6
    tolerance rfuse_4

    boptuc rtuc
    explode rtuc V
    distmini d rtuc_12 rtuc_10
    tolerance rtuc_10

   Problem:
    The results of operations FUSE, CUT21 obtained in current version of OCCT are self-interfered shapes.

   Proposals:
    The case chl 901 A1 should be or removed or analyzed/fixed.
(0020441)
emv (developer)
2012-04-24 12:00

39. chl 901 A2
   Script:
    restore /dn45/occttests/tests/ED/chl/data/buc60776c.brep b1
    restore /dn45/occttests/tests/ED/chl/data/buc60776d.brep b2
    bop b1 b2
    bopsection r

   Problem:
    The same as for chl 901 A1. The shapes used in this case are the parts of the shapes used in the case chl 901 A1.

   Proposals:
    The case chl 901 A2 should be or removed or analyzed/fixed.
(0021155)
pkv (developer)
2012-07-26 10:27

40. pkv/904/I4
   Script:
      restore fra61199a.rle a
    restore fra61199b.rle b

    bcut result a b
    checkshape -top result

   Problem:
    The result of operations FUSE obtained in current version of OCCT is not valid shape.
    Thus the case pkv/904/I4 can not be considered as valid.

   Proposals:
    The case pkv/904/I4 should be removed or analyzed/fixed.
(0021297)
emv (developer)
2012-08-21 12:26
edited on: 2012-08-21 12:29

41. chl 922 T5
 Script:
  plane p1 40 50 0 100 0 0
  pcylinder b1 p1 20 100
  
  plane p2 100 50 0.001 0 0.001 80
  pcylinder b2 p2 20 80
  don b1 b2
  bop b1 b2

  bopfuse r
  checkshape r

  boptuc r
  checkshape r

  bopcom r
  checkshape r

  bopcut r
  checkshape r

 Problem:
  The results of operations CUT and COMMON obtained in current version of OCCT are not valid shapes. Thus the case chl 922 T5 is not valid.

 Proposals:
  The case chl 922 T5 should be or removed or analyzed/fixed.

(0021342)
emv (developer)
2012-08-28 13:04

42. boolean bcommon_complex C3
  Script:
   restore pro9373a.rle b
   explode b f
   don b_5
   disp b_17
   distmini d b_5 b_17
   
   restore pro9373b.rle b
   explode b e
   don b_346 b_438
   distmini d b_346 b_438

  Problem:
   The shapes pro9373a.rle and pro9373b.rle are self-interfered shapes.

  Proposals:
   The case should be removed.
(0021343)
emv (developer)
2012-08-28 13:12

43. boolean bcut_complex F2
  Script:
   restore buc60127-part.rle b
   explode b e
   distmini d b_1 b_4
   tolerance b_1

  Problem:
   The shape buc60127-part.rle is self-interfered.

  Proposals:
   The case should be removed.
(0021345)
emv (developer)
2012-08-28 14:40

44. boolean bcut_complex O7
  Script:
   restore topo108-o.brep b
   checkshape b
   explode b f
   bop b_545 b_556
   bopsection r

  Problem:
   The shape topo108-o.brep is not valid and self-interfered.

  Proposals:
   The case should be removed.
(0021346)
abv (manager)
2012-08-28 14:45

Please consider different approach to cases involving 'non-perfect' shapes: instead of removing a test case, it should be marked as invalid (put TODO statement). This will allow us to trace behavior of such cases in the future. Note that real world is not perfect, and OCCT must be able to deal with non-perfect data to survive.
(0021347)
emv (developer)
2012-08-28 14:46

45. boolean bsection B6
  Script:
   restore b16 b
   explode b e
   distmini d b_3 b_4
   tolerance b_3
   tolerance b_4

  Problem:
   The shape b16 is self-interfered.

  Proposals:
   The case should be removed.
(0021348)
emv (developer)
2012-08-28 16:04

46. boolean bsection M8 M9 N2
  Script:
   restore lh3d_px1.brep b
   explode b f
   bop b_2 b_220
   bopsection r

  Problem:
   The shape lh3d_px1.brep is self-interfered.

  Proposals:
   The cases should be marked as invalid.
(0021349)
emv (developer)
2012-08-28 16:19
edited on: 2012-08-28 16:20

47. boolean bsection N4 N5
  Script:
   restore lh3d_px2.brep b
   explode b f
   bop b_4 b_474
   bopsection r

  Problem:
   The shape lh3d_px2.brep is self-interfered.

  Proposals:
   The cases should be marked as invalid.

(0021350)
emv (developer)
2012-08-28 16:37
edited on: 2012-09-18 11:05

48. boolean bsection N6 N7
  Script:
   restore lh3d_ro1.brep b
   explode b f
   bop b_7 b_11
   bopsection r

  Problem:
   The shape lh3d_ro1.brep is self-interfered.

  Proposals:
   The cases should be marked as invalid.

(0021421)
emv (developer)
2012-09-06 14:10

49. boolean bsection R9
  Script:
   restore buc60462b.brep b
   tolerance b
   explode b f
   tolerance b_1
   ...
   tolerance b_28

  Problem:
   The shape buc60462b.brep is not valid. Tolerance value of the faces in this shape is more than the tolerance value of its edges.

  Proposals:
   The cases should be marked as invalid.
(0021422)
emv (developer)
2012-09-06 14:27

50. boolean bfuse_complex E4
  Script:
   restore pro14260c.rle c
   restore pro14260d.rle d
   bop c d
   bopcom r
   checkshape r
   bopcut r
   checkshape r
   boptuc r
   checkshape r

  Problem:
   The results of operations CUT, CUT21 and COMMON obtained in current version of OCCT are not valid shapes. Thus the case boolean bfuse_complex E4 is not valid.

  Proposals:
   The cases should be marked as invalid.
(0021424)
emv (developer)
2012-09-06 15:02

51. boolean bopcut_complex N4
   See http://tracker.dev.opencascade.org/view.php?id=23075 [^]
(0021498)
emv (developer)
2012-09-18 09:19

52. bcommon_complex C7
  See note http://tracker.dev.opencascade.org/view.php?id=22033#c20438 [^]

  Proposals:
    The case should be marked as invalid.
(0021499)
emv (developer)
2012-09-18 09:42

53. bfuse_complex C4 C5
  Script:
  1. The cases do not work in OCCT.
   restore box.brep b1
   restore c2.brep b2
   bop b1 b2

   bopcommon r_com
   checkshape r_com

   bopcut r_cut
   checkshape r_cut

  2. The cases are the limitation of boolean operations algorithm
   restore box.brep b1
   restore c2.brep b2
   explode b1 f
   explode b2 e
   donly b1_4 b2_3
   bop b1_4 b2_3
   bopnew -v
   #result - three intersection points.

  Problem:
   1. The results of operations CUT and COMMON obtained in current version of OCCT are not valid shapes.
   2. These cases are the limitation of boolean operations algorithm, because circular curve and planar face have three intersection points and do not lie in the same plane.

  Proposals:
   The cases should be marked as invalid.
(0022249)
pkv (developer)
2012-11-15 09:59
edited on: 2012-11-15 10:01

54. chl/922/Q2
  1. Script:
...
restore OCC921.rle a
set BoundsList [OCC921 a]
set u1 [lindex $BoundsList 1]
set u2 [lindex $BoundsList 2]
set v1 [lindex $BoundsList 3]
set v2 [lindex $BoundsList 4]
...
2.Problem
2.1. The shape 'a' is a face.
    The face has toroidal surface as underlying surface
    The toroidal surface by the definition has the following parametric range:
        [ 0, 2.*Pi ] for u
         [ 0, 2.*Pi ] for v
    (see Geom_ToroidalSurface.cdl for more details)

2.2. The command OCC921 uses the method:
    BRepTools::UVBounds(F, u1, u2, v1, v2)
    to compute uv-ranges of the face F (='a').
   (see QABugs_11.cxx for more details)

   The ranges computed are:
   u1 = -0.15716614116115299
   u2 = 4.8821628905656382
   v1 = -1.6558345875319387
   v2 = 7.9377847780996964

2.3. The ranges computed (2) are out of the ranges by the definition (1).
    To confirm the fact, use the following commands
    #
    av2d
    mksurface s a
    mkface f s
    pcurve a
    2dfit
    pcurve f
    #

2.4 Resume:
  The face 'a' is not licit face.

3. Proposals:
   3.1. The case chl/922/Q2 should be removed.
   3.2. The class BRepCheck_Analyzer should be extended to treat the faces like that.

(0022254)
pkv (developer)
2012-11-15 11:03

55. chl/922/L7
 
  1. The case does not work in current version of OCCT.(WNT)

  2. Proposals:
   The case should be marked as invalid.
(0022280)
pkv (developer)
2012-11-16 15:02

56. chl/927/G7

The value of the volume of the result [ good_volume 239.908 ] is wrong.
Correct value is [good_volume 239.48].
The fact has been checked and confirmed by using the 3-rd party CAD sytem

  2. Proposals:
The case should corrected.
(0022289)
pkv (developer)
2012-11-19 08:07

57. boolean bsection C9
  Script:
restore [locate_data_file a40] a
restore [locate_data_file b40] b
bsection result a b

set length 39.8158

  Problem:
The result [ result ] obtained by the command:
bsection result a b
is quite different from the result [ result1 ] obtained by the commands:
bop a b
bopsection result1.

for [ result ]:
1. Number of shapes:
VERTEX : 3
EDGE : 2
WIRE : 0
FACE : 0
SHELL : 0
SOLID : 0
COMPSOLID : 0
COMPOUND : 1
 
2.Length: 39.8158
--------------------------------
for [ result1 ]:
1. Number of shapes:
VERTEX : 4
EDGE : 3
WIRE : 0
FACE : 0
SHELL : 0
SOLID : 0
COMPSOLID : 0
COMPOUND : 1

2.Length: 50.8667

  Proposals:
   It is necessary to clarify the matter and fix the problem.
   For the moment the case should be marked as invalid.
(0022475)
pkv (developer)
2012-11-30 11:07
edited on: 2012-12-19 10:13

58. chl/934/H5
  1. Script:
...
set QATestVar [ catch { restore n:/occttests/tests/ED/chl/data/OCC22726-b211.brep res } ]
whatis res
...

2.Problem
2.1. The file OCC22726-b211.brep seems to be corrupted.
At least it is not clear how it has been written by OCC tools.
It seems that the file has been written and then corrected by someone.
On closer view, it is possible to do a lot of case like this.
For e.g
In order to have exceptions or hungs during restore try the following:
restore ex934H9_1
restore ex934H9_2
restore ex934H9_3

3. Proposals:
   3.1. Do not use chl/934/H5 for testing.
         The case chl/934/H5 should be set aside for the moment.
   3.2. The problems with "restore" operation should be analyzed and fixed in separate study.

(0022476)
pkv (developer)
2012-11-30 11:30
edited on: 2012-12-07 08:36

59. draft angle K8, K9
Problem:
 For current master version of OCCT:
- the result of script operations is not valid on WNT
 
Proposals:
I.
 Dear colleagues.
 Please, do not use boolean operations in the scripts that are
 not dedicated to them.
For this:
'f' is result of bfuse.
'f' is valid shape.
1.Write 'f' somewhere on the disk;
2.Rewrite the script:
#...
restore f
nexplode f f
depouille result f 0 0 1 f_6 5 0 0 44 0 0 1
#...

(0022477)
pkv (developer)
2012-11-30 11:45

60. draft angle M2
Problem:
 For current master version of OCCT:
- the result of script operations 'result' contains the vertex V
with the value of tolerance Tol=40.4427.
 The vertex V swallows up a lot of other sub-shapes of the 'result'.
 The existance of V is the evidence of inner probems of the algorithms
that are used by the script.
 
Proposals:
 The case draft angle M2 should be or removed or analyzed/fixed.
(0022537)
pkv (developer)
2012-12-04 12:00
edited on: 2012-12-19 10:12

61. boolean bcut_complex(012) G8
Problem:
The argument base [ CTO900_ger60598c.rle ] is not valid shape
(even after reinforcing by fsameparameter).
 
Proposals:
 The case boolean bcut_complex(012) G8 should be or removed or analyzed/fixed.

(0022738)
pkv (developer)
2012-12-18 09:22

62. boolean bfuse_complex Q8, Q9
The script:boolean bfuse_complex Q9

restore [locate_data_file CFE900_id260gao.rle] base
restore [locate_data_file id260065_face2.rle] cont2

prism tool2 cont2 -86.60254 50 0

bcut rcut2 tool2 base

explode rcut2

bfuse result base rcut2_1

set square 13822.2

Problem:
The script uses 'explode' operation : (explode rcut2).
The order of subshapes is not fixed.
It depends on modifications that made in reference.

Proposals:

Please:
1. Do not mix different operations in one script.
    - make separate script for the 'prism' operation
    - make separate script for 'bcut' opreation
    - make separate script for 'bfuse' opreation
    
1. obtain all the arguments tool2, base, rcut2_1 once
2. write them on disk
3. rewrite the scripts using the arguments retrieved from disk and
    provide the operations and result you want
 
The case boolean bfuse_complex Q8 has the same problems as described above
(0022755)
pkv (developer)
2012-12-19 10:21

63. bugs moddata bug26_1, bug26_2
 I. bug26_1
  1. The result is not valid in current version of OCCT (WNT).
      The result is obtained by fuse operation.
      In case of common, cut, cut21 operations with the same arguments,
      the result is invalid too
  2. Proposals:
   The case should be marked as invalid.
II. bug26_2
The same contents as for bug26_1
(0022756)
pkv (developer)
2012-12-19 10:26

64. bugs moddata(007) pro19422_1
  1. The result is not valid in current version of OCCT (WNT).
  2. Proposals:
   The case should be marked as invalid.
   The case should be postponed for future analysis
(0022807)
emv (developer)
2012-12-21 18:55
edited on: 2012-12-24 12:47

65. bugs moddata bug152_1, bug152_2
Problem:
 The shape OCC152.brep is self-interfered. Try:
  restore OCC152.brep sh
  explode sh
  copy sh_1 b
  explode b f
  don b_1 b_4
  bop b_1 b_4
  bopsection r

Proposals: the cases should be marked as invalid.

(0022813)
emv (developer)
2012-12-24 12:46

66. draft angle E5
 Problem: the result shape obtained in current version of OCCT on LINUX platform is not valid shape.
 Try:
   test draft angle E5
   explode result f
   don result_4
   av2d
   pcurve result_4
   2dfit
 The 2d contour of the face result_4 is not closed.

 Proposals: the case should be marked as invalid.
(0025448)
pkv (developer)
2013-09-04 13:58

67. boolean bfuse_complex P8
  Script:
  brestore T:/occt_tests_data/private/unsorted/brep/tool_1.brep b
  explode b e
  explode b_5
  maxtolerance b_5_1 =>1.99465e+000
  maxtolerance b_5_2 =>6.77349e+000
  distmini d b_5_1 b_5_2 =>2.64549
  Problem:
   The shape tool_1.brep is self-interfered shape.
   In accordance with specification it can not be used as the argument for Boolean Operation Algorithm

  Proposals:
   The case should be removed.
(0029683)
pkv (developer)
2014-06-05 08:13

68. boolean boptuc_complex D5

  Script:
  ...
  brestore T:/occt_tests_data/public/brep/b136 b
  ...

  Problem:
  The argument "b" is not valid shape (in Terms of BRepCheck_Analyzer
  In accordance with specification it can not be used as the argument for Boolean Operation Algorithm

  Proposals:
   The case should be removed.
(0029685)
pkv (developer)
2014-06-05 09:18

69. boolean bfuse_complex P1
  Script:
  ...
  brestore T:/occt_tests_data/public/brep/CTO900_cts17861a.rle a
  ...
  bfuse r a b
  ...
  
  Problem:
   The shape 'a' is self-interfered shape.
   [Please, use the command:
    > bopcheck a
    for more details]
   In accordance with specification it can not be used as the argument for Boolean Operation Algorithm

  Proposals:
   The case should be removed.
(0029687)
pkv (developer)
2014-06-05 09:44

70. bopfuse_complex L8
  Script:
brestore T:/occt_tests_data/private/unsorted/brep/b1 b1
brestore T:/occt_tests_data/public/brep/b2 b2
bop b1 b2
bopfuse result

  Problem:
   The results of operations CUT, CUT21 and COMMON obtained in current version of OCCT
   are wrong [not valid shapes, or just incorrect].
   The result of the case can not be considered as valid.

  Proposals:
   The cases should be marked as invalid.
(0029690)
pkv (developer)
2014-06-05 10:09

71.boolean bfuse_complex P1
  Script:
  ...
  brestore T:/occt_tests_data/public/brep/OCC497f.brep a_2
  ...
  bcut result a_1 a_2
  ...
  
  Problem:
   The shape 'a_2' is self-interfered shape.
   [Please, use the command:
    > bopcheck a_2
    for more details]
   In accordance with specification it can not be used as the argument for Boolean Operation Algorithm

  Proposals:
   The case should be removed.
(0029696)
pkv (developer)
2014-06-05 11:59

72. bugs modalg_4 bug62
  Script:
  as is
  Problem:
   The result of the set of operations is incorrect.

  Proposals:
   The cases should be marked as invalid.
(0031536)
pkv (developer)
2014-09-10 07:07
edited on: 2014-10-23 07:52

73.
1 .Cases
   offset faces_type_i C8
   offset shape_type_i A7
   offset shape_type_i B2
   offset shape_type_i B3
   offset shape_type_i B7
   offset shape_type_i C5
   offset shape_type_i C8

2. Script:
  ...
  bsection re result s
  ...

3. Problem:
   3.1. The shape "result" is not valid shape in terms of BRepCheck_Analyzer.
   Please, use the command:
    > checkshape result
     for more details
   In accordance with the specification
   the shapes that are not valid in terms of BRepCheck_Analyzer
   can not be used as the arguments for Boolean Operation Algorithm
 http://dev.opencascade.org/doc/overview/html/occt_user_guides__boolean_operations.html#occt_algorithms_10_1 [^]

  3.2. The shape "result" is self-interfered shape.
    Please, use the command:
    > bopcheck result
     for more details
     In accordance with the specification it
     can not be used as argument for Boolean Operation Algorithm
 
4. Proposals:
   The scripts should be modified to prevent the usage self-interfered shapes
   as arguments of Boolean Operation Algorithm.

(0032487)
pkv (developer)
2014-10-01 06:34

74.
1 .Case
   bugs modalg_4 bug6272_6
  
2. Script:
  ...
  brestore T:/occt_tests_data/private/unsorted/brep/OCC6272_bridge2.brep a1
  ...

3. Problem:
    The shape "a1" is self-interfered shape.
    Please, use the command:
    > bopcheck a1
     for more details
     In accordance with the specification it
     can not be used as argument for Boolean Operation Algorithm
 
4. Proposals:
   The scripts should be modified to prevent the usage self-interfered shapes
   as arguments of Boolean Operation Algorithm.
(0032855)
pkv (developer)
2014-10-09 08:28

75.
1 .Case
   bugs modalg_4 bug715
  
2. Script:
  ...
brestore T:/occt_tests_data/public/brep/OCC715_2.brep f2
brestore T:/occt_tests_data/public/brep/OCC715_3.brep f3
bsection result f2 f3
  ...

3. Problem:
    The shapes f1 f2 are non valid shapes.
    Please, use the command:
    checkshape f1
    checkshape f2
     for more details
     In accordance with the specification it can not be used as argument for Boolean Operation Algorithm
     http://dev.opencascade.org/doc/overview/html/occt_user_guides__boolean_operations.html#occt_algorithms_10_1 [^]
 
4. Proposals:
   The scripts should be modified to prevent the usage non-valid shapes
   as arguments of Boolean Operation Algorithm.
(0032911)
emv (developer)
2014-10-09 16:45

76. test bugs modalg_1 buc60462_2
Problem:
The shape buc60462d.brep used in the test case is not valid as it contains faces with tolerance value greater than the tolerance value of its edges.

Use the following script in DRAW to reproduce the problem:
brestore [locate_data_file buc60462d.brep] b2
explode b2 f; copy b2_13 f2
tolerance f2
# FACE : MAX=0.006 AVG=0.006 MIN=0.006
# EDGE : MAX=4.281e-6 AVG=1.145e-6 MIN=1.e-7
# VERTEX : MAX=0.006 AVG=0.0030791872256914349 MIN=0.0001

Proposals:
The test case should be modified to prevent the usage non-valid shapes as arguments of Boolean Operation Algorithm.
(0033599)
pkv (developer)
2014-10-23 09:40
edited on: 2014-10-23 09:45

77.
1 .Case
   bugs modalg_1 bug1255
   bugs modalg_1 bug1255_1
  
2. Script:
  ...
  brestore T:/occt_tests_data/private/customers/Amino/OCC1255.brep a
  ...
  bsection result a f1
  ...

3. Problem:
    The shape "a" is self-interfered shape.
    Please, use the command:
    > bopcheck a 1
     for more details
     In accordance with the specification
http://dev.opencascade.org/doc/overview/html/occt_user_guides__boolean_operations.html#occt_algorithms_10_1 [^]
the self-interfered shape can not be used as argument for Boolean Operation Algorithm
 
4. Proposals:
   The scripts should be modified to prevent the usage self-interfered shapes
   as arguments of Boolean Operation Algorithm.

(0034074)
pkv (developer)
2014-11-06 07:07
edited on: 2015-08-19 06:47

78.
1. Case
   bugs modalg_4 bug697_2.

[ and also
 bugs modalg_4 bug697_4,
 bugs modalg_4 bug697_7,
 bugs modalg_4 bug697_8 ]

  
2. Script:
  ...
 brestore T:/occt_tests_data/private/customers/Telco/OCC697_3.brep b3
  ...
bfuse result b2 b3
  ...

3. Problem:
    The shape "b3" is self-interfered shape.
    The shape "b3" has problems with curves on surfaces.
    Please, use the command:
    > bopargcheck b3 #F
     for more details

     In accordance with the specification
http://dev.opencascade.org/doc/overview/html/occt_user_guides__boolean_operations.html#occt_algorithms_10_1 [^]
the self-interfered shape can not be used as argument for Boolean Operation Algorithm
 
4. Proposals:
   The scripts should be modified to prevent the usage self-interfered shapes
   as arguments of Boolean Operation Algorithm.

(0034075)
pkv (developer)
2014-11-06 07:22

79.
1 .Case
   boolean bcut_complex N9
  
2. Script:
brestore T:/occt_tests_data/private/old/brep/CTO904_pro14942a.rle a
brestore T:/occt_tests_data/public/brep/pro14942b.rle b
bcut result a b
...

3. Problem:
3.1 For the arguments a b:
The results of operations CUT21, COMMON are not valid shapes.
Thus the result of the case (CUT) can not be considered as valid.

3.2 The argument 'a' is not valid to use in Boolean Operation.
Use the command:
bopargcheck a #F
for more details.
 
4. Proposals:
The cases should be marked as invalid (BAD. KNOWN PROBLEM).
The case should be postponed for future analysis.
(0034076)
pkv (developer)
2014-11-06 07:34

80.
1 .Case
boolean bopcommon_complex J1
  
2. Script:
brestore T:/occt_tests_data/public/brep/a158 a
brestore T:/occt_tests_data/public/brep/b148 b
bop a b
bopcommon result
...

3. Problem:
The shape 'result' is self-interfered.
Use the command:
bopargcheck result #F
for more details.

Thus the result of the case can not be considered as valid.
 
4. Proposals:
The cases should be marked as invalid (BAD. KNOWN PROBLEM).
The case should be postponed for future analysis.
(0034077)
pkv (developer)
2014-11-06 07:56

81.
1 .Case
bugs modalg_2 bug472_3
  
2. Script:
brestore T:/occt_tests_data/private/customers/Samtech/OCC472a.brep b1
brestore T:/occt_tests_data/public/brep/OCC472b.brep b2
bfuse result b1 b2
...

3. Problem:
The case has been checked (MASTER in DEBUG mode).
The result of FUSE operation is empty compound;
The result of COMMON operation is invalid shape;
The result of CUT operation is invalid shape;
The result of CUT21 operation is invalid shape;

Thus the result of the case can not be considered as valid.
 
4. Proposals:
The cases should be marked as invalid (BAD. KNOWN PROBLEM).
The case should be postponed for future analysis.
(0034078)
pkv (developer)
2014-11-06 08:06

82.
1 .Case
bugs modalg_5 bug24154
  
2. Script:
brestore T:/occt_tests_data/private/customers/Salome/bug24154_t.brep b1
...
3. Problem:
The shape b1 contains the faulties, that can not be treated by BOP
Use the command:
bopargcheck b1
for more details.
 
4. Proposals:
The script should be modified to prevent the usage shapes
with the faulties, that can not be treated by BOP
as arguments of Boolean Operation Algorithm.
(0034137)
pkv (developer)
2014-11-07 10:45

83.
1 .Case
   bugs modalg_2 bug497_3
  
2. Script:
  ...
 brestore T:/occt_tests_data/public/brep/OCC497f.brep a_2
  ...
bcut result a_1 a_2
  ...

3. Problem:
    The shape "a_2" is self-interfered shape.
    Please, use the command:
    > bopargcheck a_2 #F
     for more details

     In accordance with the specification
http://dev.opencascade.org/doc/overview/html/occt_user_guides__boolean_operations.html#occt_algorithms_10_1 [^] [^]
the self-interfered shape can not be used as argument for Boolean Operation Algorithm
 
4. Proposals:
   The script should be modified to prevent the usage self-interfered shapes
   as arguments of Boolean Operation Algorithm.
(0036685)
pkv (developer)
2015-01-27 08:30

1. Case boolean bcut_complex O3
Report :
1.1. Script:
brestore T:/occt_tests_data/private/old/brep/CTO908_topo101-o1.brep obj1
brestore T:/occt_tests_data/public/brep/CTO908_topo101-t1.brep tool1
bcut result obj1 tool1

1.2. Problem:
The shapes obj1, tool1 are not valid shapes in terms of BRepCheck_Analyzer.

[ see the resultd of the checking
checkshape obj1
checkshape tool1
for more details ].

In accordance with the specification
http://dev.opencascade.org/doc/overview/html/occt_user_guides__boolean_operations.html#occt_algorithms_10_1 [^]
such shape(s) should not be used as argument(s)
for Boolean Operation Algorithm
 
1.3. Proposals:
The script should be modified to prevent the usage shapes
with the faulties in terms of BRepCheck_Analyzer
as arguments of Boolean Operation Algorithm.
-----------------------------------
2. Case boolean bcut_complex O4
Report : The same as 1.
-----------------------------------
3. Case boolean bcut_complex O5
Report : The same as 1.
-----------------------------------
4. Case boolean bcut_complex O6
Report : The same as 1.
-----------------------------------
5. Case boolean bfuse_complex O5
Report : The same as 1.
-----------------------------------
6. Case boolean bfuse_complex O6
Report : The same as 1.
-----------------------------------
7. Case boolean bopfuse_complex H1
Report : The same as 1.
-----------------------------------
8. Case boolean boptuc_complex D5
Report : The same as 1.
(0044401)
pkv (developer)
2015-08-19 07:15

1. Case
    bugs modalg_5 bug24628
  
2. Script:
...
brestore T:/occt_tests_data/private/unsorted/brep/bug24628_shell2.brep shell
brestore T:/occt_tests_data/private/unsorted/brep/bug24628_shellcut2.brep cut
bsection result shell cut
...

3. Problem:
    The shapes "bug24628_shell2.brep", "bug24628_shellcut2.brep"
    have problems.
    Please, use the command:
    > bopargcheck shell #F
    > bopargcheck cut #F
     for more details

   In accordance with the specification
http://dev.opencascade.org/doc/overview/html/occt_user_guides__boolean_operations.html#occt_algorithms_4 [^]
http://dev.opencascade.org/doc/overview/html/occt_user_guides__boolean_operations.html#occt_algorithms_10_1 [^]
these shapes can not be used as arguments for Boolean Operation Algorithm
 
4. Proposals:
   The scripts should be modified to prevent the usage shapes with the problems
in terms of bopargcheck as arguments of Boolean Operation Algorithm.
(0070650)
apv (tester)
2017-09-18 17:06

Testing database has been fully redesigned. Current issue is not actual.

- Issue History
Date Modified Username Field Change
2010-10-01 15:50 pkv CC => pkv
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2011-09-09 11:09 pkv Fixed in Version EMPTY =>
2011-09-09 11:09 pkv Description Updated View Revisions
2011-09-09 11:11 pkv Summary Grid Tests: PKV set, detected problems => Grid Tests: The sets PKV,CHL. Detected problems
2011-09-09 11:13 pkv Note Added: 0018099
2011-09-13 12:45 bugmaster Assigned To bugmaster => mkv
2011-09-13 12:46 bugmaster Status new => assigned
2011-12-16 15:51 emv Note Added: 0018886
2012-02-07 11:51 bugmaster Status assigned => feedback
2012-02-28 10:35 emv Note Edited: 0018886 View Revisions
2012-02-29 11:58 emv Note Added: 0019810
2012-02-29 12:05 emv Note Added: 0019811
2012-02-29 12:12 emv Note Added: 0019812
2012-02-29 12:20 emv Note Added: 0019814
2012-02-29 13:33 emv Note Added: 0019815
2012-02-29 15:20 emv Note Added: 0019817
2012-02-29 15:31 emv Note Added: 0019818
2012-03-01 08:43 emv Note Added: 0019826
2012-03-01 10:31 emv Summary Grid Tests: The sets PKV,CHL. Detected problems => Grid Tests: The sets PKV,CHL,CIN,CTE. Detected problems
2012-03-01 10:35 emv Note Added: 0019827
2012-03-01 10:38 emv Note Added: 0019828
2012-03-01 14:51 emv Note Edited: 0019810 View Revisions
2012-03-02 09:17 emv Note Added: 0019841
2012-03-05 10:12 pkv Note Edited: 0019826 View Revisions
2012-03-05 10:13 pkv Note Edited: 0019826 View Revisions
2012-03-05 10:27 pkv Note Added: 0019860
2012-03-05 10:27 pkv Status feedback => assigned
2012-03-05 10:28 pkv Note Edited: 0019826 View Revisions
2012-03-15 10:10 emv Note Added: 0019980
2012-03-15 10:21 emv Note Added: 0019981
2012-03-15 10:21 emv Note Edited: 0019981 View Revisions
2012-03-15 10:46 emv Note Added: 0019984
2012-03-15 11:23 emv Note Added: 0019988
2012-03-16 12:21 pkv Note Added: 0020013
2012-03-16 12:22 pkv Note Edited: 0020013 View Revisions
2012-03-16 12:23 pkv Note Edited: 0020013 View Revisions
2012-03-28 15:57 emv Note Added: 0020187
2012-04-05 19:27 abv Category OCCT:Modeling Algorithms => OCCT:Tests
2012-04-05 19:29 mkv Relationship added parent of 0023073
2012-04-05 19:36 mkv Relationship added parent of 0023074
2012-04-05 20:17 mkv Relationship added parent of 0023075
2012-04-06 10:42 mkv Relationship added parent of 0023079
2012-04-06 10:51 mkv Relationship added parent of 0023080
2012-04-06 10:58 mkv Relationship added parent of 0023082
2012-04-06 11:02 mkv Relationship added parent of 0023083
2012-04-06 11:10 mkv Relationship added parent of 0023084
2012-04-06 17:08 mkv Note Added: 0020296
2012-04-06 17:09 mkv File Added: 22033-cases.tar.gz
2012-04-06 17:10 mkv Assigned To mkv => emv
2012-04-06 17:10 mkv Status assigned => resolved
2012-04-10 11:02 emv Status resolved => reviewed
2012-04-10 11:49 mkv Assigned To emv => mkv
2012-04-10 15:23 mkv Note Added: 0020322
2012-04-10 15:38 mkv Status reviewed => tested
2012-04-10 15:39 mkv Assigned To mkv => bugmaster
2012-04-17 10:25 pkv Note Added: 0020401
2012-04-24 08:24 emv Note Added: 0020436
2012-04-24 08:26 emv Note Added: 0020437
2012-04-24 08:29 emv Note Added: 0020438
2012-04-24 08:32 emv Note Added: 0020439
2012-04-24 12:00 emv Note Added: 0020441
2012-07-26 10:27 pkv Note Added: 0021155
2012-08-21 12:26 emv Note Added: 0021297
2012-08-21 12:29 emv Note Edited: 0021297 View Revisions
2012-08-21 12:45 abv Status tested => feedback
2012-08-28 13:04 emv Note Added: 0021342
2012-08-28 13:12 emv Note Added: 0021343
2012-08-28 14:40 emv Note Added: 0021345
2012-08-28 14:45 abv Note Added: 0021346
2012-08-28 14:46 emv Note Added: 0021347
2012-08-28 16:04 emv Note Added: 0021348
2012-08-28 16:19 emv Note Added: 0021349
2012-08-28 16:20 emv Note Edited: 0021349 View Revisions
2012-08-28 16:37 emv Note Added: 0021350
2012-09-06 14:10 emv Note Added: 0021421
2012-09-06 14:27 emv Note Added: 0021422
2012-09-06 15:02 emv Note Added: 0021424
2012-09-18 09:19 emv Note Added: 0021498
2012-09-18 09:42 emv Note Added: 0021499
2012-09-18 11:05 emv Note Edited: 0021350 View Revisions
2012-11-15 09:59 pkv Note Added: 0022249
2012-11-15 09:59 pkv Status feedback => assigned
2012-11-15 10:01 pkv Note Edited: 0022249 View Revisions
2012-11-15 11:03 pkv Note Added: 0022254
2012-11-16 15:02 pkv Note Added: 0022280
2012-11-19 08:07 pkv Note Added: 0022289
2012-11-30 11:05 pkv File Added: ex934H9_1
2012-11-30 11:05 pkv File Added: ex934H9_2
2012-11-30 11:06 pkv File Added: ex934H9_3
2012-11-30 11:07 pkv Note Added: 0022475
2012-11-30 11:30 pkv Note Added: 0022476
2012-11-30 11:45 pkv Note Added: 0022477
2012-12-04 12:00 pkv Note Added: 0022537
2012-12-07 08:36 pkv Note Edited: 0022476 View Revisions
2012-12-18 09:22 pkv Note Added: 0022738
2012-12-19 10:12 pkv Note Edited: 0022537 View Revisions
2012-12-19 10:13 pkv Note Edited: 0022475 View Revisions
2012-12-19 10:21 pkv Note Added: 0022755
2012-12-19 10:26 pkv Note Added: 0022756
2012-12-21 18:55 emv Note Added: 0022807
2012-12-21 19:02 emv Note Edited: 0022807 View Revisions
2012-12-24 12:46 emv Note Added: 0022813
2012-12-24 12:47 emv Note Edited: 0022807 View Revisions
2013-09-04 13:58 pkv Note Added: 0025448
2014-06-05 08:13 pkv Note Added: 0029683
2014-06-05 09:18 pkv Note Added: 0029685
2014-06-05 09:44 pkv Note Added: 0029687
2014-06-05 10:09 pkv Note Added: 0029690
2014-06-05 11:59 pkv Note Added: 0029696
2014-09-10 07:07 pkv Note Added: 0031536
2014-09-11 17:22 abv Target Version => Unscheduled
2014-10-01 06:34 pkv Note Added: 0032487
2014-10-08 15:17 bugmaster Note View State: 0032487: private
2014-10-08 15:17 bugmaster Note View State: 0032487: public
2014-10-09 08:28 pkv Note Added: 0032855
2014-10-09 16:45 emv Note Added: 0032911
2014-10-23 07:52 pkv Note Edited: 0031536 View Revisions
2014-10-23 09:40 pkv Note Added: 0033599
2014-10-23 09:45 pkv Note Edited: 0033599 View Revisions
2014-11-06 07:07 pkv Note Added: 0034074
2014-11-06 07:22 pkv Note Added: 0034075
2014-11-06 07:34 pkv Note Added: 0034076
2014-11-06 07:56 pkv Note Added: 0034077
2014-11-06 08:06 pkv Note Added: 0034078
2014-11-07 10:45 pkv Note Added: 0034137
2015-01-27 08:30 pkv Note Added: 0036685
2015-08-19 06:47 pkv Note Edited: 0034074 View Revisions
2015-08-19 07:15 pkv Note Added: 0044401
2017-09-18 17:06 apv Test case number => Not required
2017-09-18 17:06 apv Note Added: 0070650
2017-09-18 17:06 apv Status assigned => closed
2017-09-18 17:06 apv Resolution open => no change required


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker